petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPFCG

Implements the Flexible Conjugate Gradient method (FCG)

### Options Database Keys

| -ksp_fcg_mmax <N> | - maximum number of search directions
| -ksp_fcg_nprealloc <N> | - number of directions to preallocate
| -ksp_fcg_truncation_type <standard,notay> | - truncation approach for directions

Contributed by Patrick Sanan

### Notes

Supports left preconditioning only.

### References

| 1. | - Notay, Y."Flexible Conjugate Gradients", SIAM J. Sci. Comput. 22:4, 2000
| 2. | - Axelsson, O. and Vassilevski, P. S. "A Black Box Generalized Conjugate Gradient Solver with Inner Iterations and Variable step Preconditioning", SIAM J. Matrix Anal. Appl. 12:4, 1991

.seealso : KSPGCR, KSPFGMRES, KSPCG, KSPFCGSetMmax(), KSPFCGGetMmax(), KSPFCGSetNprealloc(), KSPFCGGetNprealloc(), KSPFCGSetTruncationType(), KSPFCGGetTruncationType()

### Level

beginner

### Location

src/ksp/ksp/impls/fcg/fcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages